# Delete

To delete an existing folder you need to execute a **DELETE** request against the\
\&#xNAN;**/libraries/:libraryId/folders/:folderId** endpoint.

The **folderId** uniquely identifies the folder and the **libraryId** uniquely identifies the library inside which the folder is located.

{% hint style="danger" %}
This is a destructive operation which cannot be undone! If the deleted folder is in-use -> all opened files from it will be closed and users will lose access to the folder. All files and subfolders nested in the folder will be permanently deleted.
{% endhint %}

#### Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --request DELETE \
  --url https://api.digitalsamba.com/api/v1/libraries/45d125d8-bac9-43a5-a6a8-311a5433239d/folders/1fc95d41-5358-4a81-adb4-5cd8c12e8308" \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());

//Put your library id here - this value is just an example
String libraryId = "45d125d8-bac9-43a5-a6a8-311a5433239d";

//Put your folder id here - this value is just an example
String folderId = "1fc95d41-5358-4a81-adb4-5cd8c12e8308";

HttpRequest request = HttpRequest.newBuilder()
  .DELETE()
  .uri(new URI("https://api.digitalsamba.com/api/v1/libraries/" + libraryId + "/folders/" + folderId))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

**Response (204 -> No Content)**&#x20;

Response is empty because the folder was deleted and there is no content to return.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/content-library/folders/delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
